require 'spec_helper'
require 'static_maps'

describe 'Google Maps API' do
  let(:maps) { StaticMaps::API }

  describe 'default url' do
    it 'should return a simple map url' do
      maps.fetch.should eq base_url+base_params
    end
  end

  describe 'output' do
    it 'should return a string url' do
      maps.fetch.class.should eq String
    end
  end

  describe 'response' do
    pending 'should response act accordingly i.e. 400'
  end

  def base_url
    "http://maps.googleapis.com/maps/api/staticmap?"
  end
  def base_params
    "visual_refresh=true&center=Stan,Mountain+View,CA&"+
    "size=640x640&sensor=false&zoom=16"
  end
end

